/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 */

package com.yami.shop.user.comment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yami.shop.user.comment.model.UserRights;

import java.util.List;

/**
 * 会员等级
 *
 * @author LGH
 * @date 2020-02-26 16:03:14
 */
public interface UserRightsService extends IService<UserRights> {

    Boolean setStatua(Long rightsId, Integer status);

    List<Long> getUserRightsIdListByLevelId(Long id,Integer levelType);

    Boolean removeRights(Long rightsId);
}
